Subject: Re: IPP> Identifying jobs in requests

From: "Randy Turner" <[email-masked]>
Date: Wed, 3 Jun 1998 09:42:28 -0700

The demultiplexing front-end is not IPP, and is therefore some type of
"transport-helper". While the IPP protocol document must stand on its own,
independent of any such transport, and therefore identifiers within the
protocol would still be mandatory ( Of course, my argument is entirely
based upon the WG's decision that IPP must be transport independent ).

Randy

----------
> From: Jay Martin <[email-masked]>
> To: Randy Turner <[email-masked]>
> Cc: [email-masked]
> Subject: Re: IPP> Identifying jobs in requests
> Date: Wednesday, June 03, 1998 9:32 AM
> 
> Randy Turner wrote:
> > 
> > We use URIs to identify IPP objects. If we want IPP to maintain
> > transport-independence, then we will always need to have some type of
valid
> > URI denoting the target of an IPP request inside our protocol.
> 
> Not necessarily.  Sure, in the case of a demultiplexing front-end,
> it would be necessary to have the target embedded in the protocol
> message, but not necessary for single-Printer implementations.
> 
> I don't have a problem with embedding the target URI in the PDU,
> but if we get into a big mess with regard to reconciling a similar
> target in the outer/lower transport level (eg, HTTP), then we might
> want to consider pulling out the embedded target URI.
> 
> It would be nice to hear from others on this topic.
> 
> 	...jay
> 
> ----------------------------------------------------------------------
> --  JK Martin               |  Email:   [email-masked]          --
> --  Underscore, Inc.        |  Voice:   (603) 889-7000              --
> --  41C Sagamore Park Road  |  Fax:     (603) 889-2699              --
> --  Hudson, NH 03051-4915   |  Web:     http://www.underscore.com   --
> ----------------------------------------------------------------------

---

From: "Carl Kugler" <[email-masked]>
Date: 3 Jun 1998 18:20:54 -0000

> based upon the WG's decision that IPP must be transport independent ).

Randy-

If the demultiplexing front-end is not IPP, how is it able to read IPP attributes?

- Carl